%define nspr_version 4.8
%define nss_version 3.12.1.1
%define cairo_version 0.6
%define lcms_version 1.17
%define freetype_version 2.1.9
%define sqlite_version 3.5
%define source_name xulrunner

%define build_langpacks      1

%define version_internal 1.9.2a1pre-headless
%define mozappdir         %{_libdir}/%{source_name}-%{version_internal}
%define mozdevdir         %{_libdir}/%{source_name}-devel-%{version_internal}

Summary:        XUL Runtime for Gecko Applications
Name:           xulrunner-headless
Version:        1.9.2a1pre_20091028
Release:        1.2.moblin2
URL:            http://developer.mozilla.org/En/XULRunner
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Applications/Internet
Source0:        xulrunner-%{version}.tar.bz2
%if %{build_langpacks}
Source2:        xulrunner-langpacks.tar.bz2
%endif
Source10:       %{source_name}-mozconfig


# build patches
Patch0:         mozilla-jemalloc.patch
Patch1:         xulrunner-pkgconfig.patch
Patch2:         moblin-repack.patch
Patch3:         remove-global-local-storage.patch
Patch4:         increase-js-watchdog-interval.patch

# ---------------------------------------------------

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Autoreq: 0
Autoprov: 0

BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
#BuildRequires:  cairo-devel >= %{cairo_version}
#BuildRequires:  libpng-devel
#BuildRequires:  libjpeg-devel
BuildRequires:  zip
#BuildRequires:  bzip2-devel
#BuildRequires:  zlib-devel
#BuildRequires:  lcms-devel >= %{lcms_version}
BuildRequires:  libIDL-devel
BuildRequires:  gtk2-devel
#BuildRequires:  gnome-vfs2-devel
#BuildRequires:  libgnome-devel
#BuildRequires:  libgnomeui-devel
BuildRequires:  krb5-devel
BuildRequires:  pango-devel
BuildRequires:  freetype-devel >= %{freetype_version}
BuildRequires:  libXt-devel
BuildRequires:  libXrender-devel
#BuildRequires:  hunspell-devel
BuildRequires:  sqlite-devel >= %{sqlite_version}
BuildRequires:  startup-notification-devel
BuildRequires:  alsa-lib-devel
# For -sqlite.patch
BuildRequires:  autoconf213
BuildRequires:  openssl-devel

Requires:       mozilla-filesystem
Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
#Requires:       libgnome
#Requires:       gnome-vfs2
Requires:       libjpeg
Requires:       freetype
Requires:       fontconfig
Requires:       bzip2
Requires:       python-libs
Requires:       sqlite
#Requires:       dbus-glib
Requires:       alsa-lib

Provides:       gecko-libs-headless = %{version}

%description
XULRunner provides the XUL Runtime environment for Gecko applications.

%package devel
Summary: Development files for Gecko
Group: Development/Libraries

Autoreq: 0
Obsoletes: mozilla-devel < 1.9
Obsoletes: firefox-devel < 2.1
Provides: gecko-headless-devel = %{version}

Requires: %{name} = %{version}-%{release}
Requires: nspr-devel >= %{nspr_version}
Requires: nss-devel >= %{nss_version}
#Requires: cairo-devel >= %{cairo_version}
#Requires: libjpeg-devel
Requires: zip
#Requires: bzip2-devel
#Requires: zlib-devel
#Requires: lcms-devel >= %{lcms_version}
Requires: libIDL-devel
Requires: gtk2-devel
#Requires: gnome-vfs2-devel
#Requires: libgnome-devel
#Requires: libgnomeui-devel
Requires: krb5-devel
Requires: pango-devel
Requires: freetype-devel >= %{freetype_version}
Requires: libXt-devel
Requires: libXrender-devel
#Requires: hunspell-devel
Requires: sqlite-devel >= ${sqlite_version}
Requires: startup-notification-devel
Requires: alsa-lib-devel

%description devel
Gecko development files.

%package python
Summary: Files needed to run Gecko applications written in python
Group: Applications/Internet
BuildRequires: python-devel
Requires: gecko-libs-headless = %{version}-%{release}
Provides: pyxpcom = %{version}-%{release}
Provides: gecko-python = %{version}-%{release}

%description python
Files needed to run Gecko applications written in python.

%package python-devel
Summary: Development files for building Gecko applications written in python
Group: Development/Libraries
Requires: gecko-headless-devel = %{version}-%{release}
Provides: pyxpcom-devel = %{version}-%{release}
Provides: gecko-python-devel = %{version}-%{release}

%description python-devel
Development files for building Gecko applications written in python.

#---------------------------------------------------------------------

%prep
%setup -q -c
#cd mozilla-central
cd %{source_name}-%{version}

#sed -e 's/__RPM_VERSION_INTERNAL__/%{version_internal}/' %{P:%%PATCH0} \
#    > version.patch
#%{__patch} -p1 -b --suffix .version --fuzz=0 < version.patch

#autoconf-2.13
%patch0 -p1 -b .jemalloc
%patch1 -p1 -b .pc
%patch2 -p1 -b .moblin-repack
%patch3 -p1 -b .remove-storage
%patch4 -p1 -b .increase-js-watchdog-interval

%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig

#---------------------------------------------------------------------

%build
#cd mozilla-central
cd %{source_name}-%{version}

INTERNAL_GECKO=%{version_internal}
MOZ_APP_DIR=%{_libdir}/%{name}-${INTERNAL_GECKO}

# Mozilla builds with -Wall with exception of a few warnings which show up
# everywhere in the code; so, don't override that.
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Wall//')
export CFLAGS=$MOZ_OPT_FLAGS
export CXXFLAGS=$MOZ_OPT_FLAGS

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
%ifnarch ppc ppc64 s390 s390x
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -gt 1 ] && MOZ_SMP_FLAGS=-j2
%endif

export LDFLAGS="-Wl,-rpath,${MOZ_APP_DIR}"
make -f client.mk build STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"

#---------------------------------------------------------------------

%install
#cd mozilla-central
cd %{source_name}-%{version}
%{__rm} -rf $RPM_BUILD_ROOT

INTERNAL_GECKO=%{version_internal}

INTERNAL_APP_NAME=%{source_name}-${INTERNAL_GECKO}
MOZ_APP_DIR=%{_libdir}/${INTERNAL_APP_NAME}

INTERNAL_APP_SDK_NAME=%{source_name}-devel-${INTERNAL_GECKO}
MOZ_APP_SDK_DIR=%{_libdir}/${INTERNAL_APP_SDK_NAME}

DESTDIR=$RPM_BUILD_ROOT make install

%{__mkdir_p} $RPM_BUILD_ROOT/${MOZ_APP_DIR} \
             $RPM_BUILD_ROOT%{_datadir}/idl/${INTERNAL_APP_SDK_NAME} \
             $RPM_BUILD_ROOT%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__install} -p dist/sdk/bin/regxpcom $RPM_BUILD_ROOT/$MOZ_APP_DIR

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

# set up our default preferences
#%{__cat} %{SOURCE12} | %{__sed} -e 's,RPM_VERREL,%{version}-%{release},g' > rh-default-prefs
#%{__install} -p -D -m 644 rh-default-prefs $RPM_BUILD_ROOT/${MOZ_APP_DIR}/defaults/pref/all-redhat.js
#%{__rm} rh-default-prefs

# Start script install
#%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/%{name}
#%{__cat} %{SOURCE21} | %{__sed} -e 's,XULRUNNER_VERSION,%{version_internal},g' > \
#  $RPM_BUILD_ROOT%{_bindir}/%{name}
#%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

%if %{build_langpacks}
# Install langpacks
%{__tar} xjf %{SOURCE2}
sys_chrome=$RPM_BUILD_ROOT/%{mozappdir}/chrome
for langpack in `ls xulrunner-langpacks/*.xpi`; do
  lang=`basename $langpack .xpi`
  unzip $langpack -d $lang
  find $lang -type f | xargs chmod 644
  cat $lang/chrome.manifest | grep 'chrome\/' | sed -e 's/chrome\///'  > ${sys_chrome}/${lang}.manifest
  cp $lang/chrome/${lang}.jar ${sys_chrome}/

  rm -rf $lang
done
%{__rm} -rf xulrunner-langpacks
%endif # build_langpacks

%{__rm} -f $RPM_BUILD_ROOT${MOZ_APP_DIR}/%{name}-config

#cd $RPM_BUILD_ROOT${MOZ_APP_DIR}/chrome
#find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
#cd -

# Prepare our devel package
%{__mkdir_p} $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_SDK_NAME}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%{__cp} -rL dist/include/* \
  $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}

## Copy mozilla-config to stable include dir
#%{__cp} dist/include/mozilla-config.h \
#  $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}/stable

# Fix multilib devel conflicts...
%ifarch x86_64 ia64 s390x ppc64
%define mozbits 64
%else
%define mozbits 32
%endif

function install_file() {
genheader=$*
mv ${genheader}.h ${genheader}%{mozbits}.h
cat > ${genheader}.h << EOF
// This file exists to fix multilib conflicts
#if defined(__x86_64__) || defined(__ia64__) || defined(__s390x__) || defined(__powerpc64__)
#include "${genheader}64.h"
#else
#include "${genheader}32.h"
#endif
EOF
}

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "mozilla-config"
popd

#pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}/stable
#install_file "mozilla-config"
#popd

#pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}/unstable
#install_file "mozilla-config"
#popd

pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}
install_file "jsautocfg"
popd

#pushd $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_SDK_NAME}/unstable
#install_file "jsautocfg"
#popd

%{__install} -p -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/${MOZ_APP_DIR}

#%{__rm} -rf $RPM_BUILD_ROOT/%{_includedir}/${INTERNAL_APP_NAME}
#%{__rm} -rf $RPM_BUILD_ROOT/%{_datadir}/idl/${INTERNAL_APP_NAME}

#%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include
#ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME}/unstable \
#       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/include
#%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl
#ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME}/unstable \
#       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/idl

#%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include
#ln -s  %{_includedir}/${INTERNAL_APP_SDK_NAME}/stable \
#       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/include
#%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl
#ln -s  %{_datadir}/idl/${INTERNAL_APP_SDK_NAME}/stable \
#       $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/idl

find $RPM_BUILD_ROOT/%{_includedir} -type f -name "*.h" | xargs chmod 644
find $RPM_BUILD_ROOT/%{_datadir}/idl -type f -name "*.idl" | xargs chmod 644

%{__rm} -rf $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/*.so
pushd $RPM_BUILD_ROOT${MOZ_APP_DIR}
for i in *.so; do
    ln -s ${MOZ_APP_DIR}/$i $RPM_BUILD_ROOT${MOZ_APP_SDK_DIR}/sdk/lib/$i
done
popd

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file gre64-headless.conf
%else
%define gre_conf_file gre-headless.conf
%endif

MOZILLA_GECKO_VERSION=`./config/milestone.pl --topsrcdir=.`
%{__mv} $RPM_BUILD_ROOT/etc/gre.d/$MOZILLA_GECKO_VERSION".system.conf" \
        $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}
chmod 644 $RPM_BUILD_ROOT/etc/gre.d/%{gre_conf_file}

# Library path
%ifarch x86_64 ia64 ppc64 s390x
%define ld_conf_file xulrunner-headless-64.conf
%else
%define ld_conf_file xulrunner-headless-32.conf
%endif

%{__mkdir_p} $RPM_BUILD_ROOT/etc/ld.so.conf.d
%{__cat} > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{ld_conf_file} << EOF
${MOZ_APP_DIR}
${MOZ_APP_SDK_DIR}/sdk/lib
EOF

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT${MOZ_APP_DIR}

# Use the system hunspell dictionaries
#%{__rm} -rf ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries
#ln -s %{_datadir}/myspell ${RPM_BUILD_ROOT}${MOZ_APP_DIR}/dictionaries

# ghost files
%{__mkdir_p} $RPM_BUILD_ROOT${MOZ_APP_DIR}/components
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/compreg.dat
touch $RPM_BUILD_ROOT${MOZ_APP_DIR}/components/xpti.dat

# remove /usr/bin/xulrunner
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/xulrunner


%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf ${MOZ_APP_DIR}/components
fi

%files
%defattr(-,root,root,-)
#%{_bindir}/xulrunner
%dir /etc/gre.d
/etc/gre.d/%{gre_conf_file}
#%dir %{mozappdir}
%doc %attr(644, root, root) %{mozappdir}/LICENSE
%doc %attr(644, root, root) %{mozappdir}/README.txt
%{mozappdir}/chrome
#%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
#%{mozappdir}/components/*.so
%{mozappdir}/*.so
%{mozappdir}/plugins/*.so
%{mozappdir}/components/*.xpt
#%exclude %{mozappdir}/components/libpyloader.so
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%{mozappdir}/dictionaries
%{mozappdir}/greprefs
#%dir %{mozappdir}/icons
#%attr(644, root, root) %{mozappdir}/icons/*
#%{mozappdir}/js
%{mozappdir}/modules
#%{mozappdir}/plugins
%{mozappdir}/res
#%{mozappdir}/*.so
#%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
%{mozappdir}/regxpcom
%{mozappdir}/xulrunner
%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
%{_sysconfdir}/ld.so.conf.d/xulrunner*.conf

# XXX See if these are needed still
#%{mozappdir}/updater*
%{mozappdir}/updater
%{mozappdir}/update.locale

# what are these?
#%{mozappdir}/*.chk

# we don't want these
%exclude %{mozdevdir}/bin
%exclude %{mozdevdir}/idl
%exclude %{mozdevdir}/include
%exclude %{mozdevdir}/lib

%files devel
%defattr(-,root,root,-)
#%dir %{_datadir}/idl/%{name}*%{version_internal}
%{_datadir}/idl/%{source_name}-%{version_internal}
%{_includedir}/%{source_name}*%{version_internal}
#%exclude %{_includedir}/%{name}*%{version_internal}/unstable
#%exclude %{_includedir}/%{name}*%{version_internal}/pyxpcom
#%dir %{_libdir}/%{name}-sdk-*
#%dir %{_libdir}/%{name}-sdk-*/sdk
%dir %{mozdevdir}/sdk
%{mozappdir}/xpcshell
%{mozappdir}/xpidl
%{mozappdir}/xpt_dump
%{mozappdir}/xpt_link
#%{_libdir}/%{name}-sdk-*/*.h
#%{_libdir}/%{name}-sdk-*/sdk/*
%{mozdevdir}/*.h
%{mozdevdir}/sdk/*
#%exclude %{_libdir}/%{name}-sdk-%{version_internal}/sdk/lib/libpyxpcom.so
#%exclude %{_libdir}/pkgconfig/*gtkmozembed*.pc
%{_libdir}/pkgconfig/*.pc

# we don't want these
%exclude %{mozdevdir}/bin
%exclude %{mozdevdir}/idl
%exclude %{mozdevdir}/include
%exclude %{mozdevdir}/lib

%files python
#%{mozappdir}/components/pyabout.py*
#%{mozappdir}/components/libpyloader.so
#%{mozappdir}/python

%files python-devel
#%{_includedir}/%{name}*%{version_internal}/pyxpcom
#%{_libdir}/%{name}-sdk-%{version_internal}/sdk/lib/libpyxpcom.so

#---------------------------------------------------------------------
%changelog
* Wed Oct 28 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20091028
- Send the uri with security-change, not the request (MB #6300)
* Tue Oct 20 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20091020
- Fix building of gtk2 backend
- Set cell-highlight colour different to background color
- Add support for transparent page background
* Thu Oct 15 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20091015
- Don't notify cursor unless its changed
- Add context menu helper functions/signals
- Fix progress reporting(-ish)
- Add a close-request function
* Mon Oct 12 2009 Neil Roberts <neil@linux.intel.com> - 1.9.2a1pre_20091008
- Bug #1727 - xulrunner has a 1 second polling loop
  Adds a patch to increase the interval for the Javascript watchdog timer
* Thu Oct  8 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20091008
- Fix focus issues
* Mon Oct  5 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20091005
- Fix find-in-page API
- Fix input for windowless plugins
* Tue Sep 29 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20090929
- Rework the windowed plugin mechanism - now uses XEmbed
- Add API to initiate/control find-in-page
* Fri Sep 25 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20090925
- Fix partial invalidations of windowless plugins
- Fix event times (right-clicking on windowless plugins now works)
* Mon Sep 21 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20090921
- Fix freezing draws on the drawing area
- Remove some unnecessary recursion in common functions
- Add preliminary windowless plugin support
- Add missing key definition in development headers
- Remove some unnecessary dependencies from package
* Wed Aug 26 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20090826
- Fix window leak
* Sat Aug 22 2009 Anas Nashif <anas.nashif@intel.com> - 1.9.2a1pre_20090817
- Do not require libstdc++
* Mon Aug 17 2009 Chris Lord <chris@linux.intel.com> - 1.9.2a1pre_20090817
- Add input method support
- Performance enhancements:
  - Cache window visibility
  - Remove unnecessary recursion in nsWindow::UpdatePluginWindowBounds
* Sun Aug 16 2009 Anas Nashif <anas.nashif@intel.com> - 1.9.2a1pre_20090805
- Use _ instead of ~ in the version
* Fri Aug 14 2009 Neil Roberts <neil@linux.intel.com> 1.9.2a1pre~20090805
- Add a patch from Ningxin Hu to fix focus for plugin windows
- Bug #4994 - Can't input text in Java Applet
* Wed Aug  5 2009 Chris Lord <chris@linux.intel.com> 1.9.2a1pre~20090805
- Correct the version number
- Bug #2467 - www.cnn.com hasn't been rendered correctly, "local news" is
    empty
* Fri Jul 31 2009 Chris Lord <chris@linux.intel.com> 0.0~20090731
- Bug #4484 - Moblin-web-browser has mem-leak
  - Fix mInvalidRegion leak in nsWindow and the surface ref leak. Also
    fix further possible leaks if dispatching the paint event causes
    window destruction.
- Bug #2506 - Visiting Yahoo.com does not recognize Moblin Browser
  - Set a default platform build-id so that we get 'Gecko/<build-date>'
    in the user-agent instead of just 'Gecko'. Some sites (well,
    yahoo.com) rely on this.
* Thu Jul 30 2009 Chris Lord <chris@linux.intel.com> 0.0~20090730
- Bug #4833: Progress indicator should lie to give more positive
  immediate feedback
  - Use the nsIWebProgressListener2 interface to provide better
    feedback, and also fix the signal handlers not doing the
    right thing.
* Tue Jul 28 2009 Chris Lord <chris@linux.intel.com> 0.0~20090728
- Bug #4796: Page opened in new tab can't respond to user input
- Bug #2467: www.cnn.com hasn't been rendered correctly, "local news"
    is empty
* Mon Jul 27 2009 Ding Jian-feng <jian-feng.ding@intel.com> 0.0~20090727
- Bug #4364: Translations are not appearing on browser alert dialog
  - Missing l10n of Mozilla strings in mwb
  - Fixed by adding langpacks to xulrunner-headless
* Mon Jul 27 2009 Anas Nashif <anas.nashif@intel.com> - 0.0~20090727
- Bug #4429: Use system libraries: nspr/nss/sqlite
* Mon Jul 27 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix new window stacking order
  - Fix invalidations of windows showing through windows above them
  - Fix selection colours
* Thu Jul 23 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix crashes with plugins when closing windows
  - Fix input on sub-windows falling through to parent window
  - Fix grey rectangles at the top-left of pages with 0-sized
    plugin windows
  - Fire can-go-back/forward signals on purging session history
* Tue Jul 21 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Change selection colour
  - Add function to purge session history
  - Backport fix for mozilla bug #503286
  - Fix invisible elements on yahoo.com pages (Moblin bug #2398)
  - Fix recursive invalidation (Moblin bug #3454)
* Thu Jul 16 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix hiding of plugin windows not working
  - Don't link against system cairo
  - Use more system libraries
* Tue Jul 14 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Synchronise sound code with gtk backend
  - Fix scrolling code with sub-windows (fixes Google Reader)
  - Add Gtk clipboard support
  - Fall back to windowed mode with windowless plugins
  - Fix certificate overriding
* Wed Jul  1 2009 Ding Jian-feng <jian-feng.ding@intel.com> 0.0~20090630
- Renamed to xulrunner-headless to avoid conficts:
  - Renamed pkg name and enable it can be built with old archive name
  - Patches to rename pkgconf *.pc and their content
  - Removed AutoReq and AutoProv
  - Added explicit Requires and Provides
  - Renamed /etc/gre.d/* and /etc/ld.so.conf.d/* to avoid conflicts
  - Removed unused /usr/bin/xulrunner
  - Fixed some noise in building: unused patches, to fix #1936
* Tue Jun 30 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Allow appending to chrome and component directories
* Mon Jun 29 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Rename moz_headless_set_reactive to moz_headless_focus
  - Add functions to add to components and chrome search paths
* Thu Jun 25 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix major crasher (prefs access inside a thread with certificates)
  - Synchronise with latest Mozilla code
* Tue Jun 16 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Synchronise with latest Mozilla code
  - Fix not invalidating when changing drawing-area surface
  - Various small bug-fixes
* Tue Jun  9 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Remove printfs that crept in accidentally
* Mon Jun  8 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix a new page rendering error that was introduced with the
    previous package
* Mon Jun  8 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix some page rendering errors
  - Improve performance
* Fri Jun  5 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Remove overly-specific embedding API and replace with more generic
    interface-overriding functions
  - Add convenience signals for implementing tooltips
* Mon May 18 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - Fix several JavaScript exceptions in common dialogs
  - New embedding API for overrdiing application info
  - New embedding API for overriding system directories
  - New embedding API for cursor changes
* Tue May 12 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - New embedding API for preference change notifications
* Mon May 11 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot:
  - New embedding interface for global history
  - New embedding interface for preferences
  - Make about:config work without a clipboard helper
  - Plugins tidy-up and merge with main headless branch
* Wed Apr 22 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Wed Apr 22 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Fri Apr 17 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Sat Apr 11 2009 Chris Lord <chris@linux.intel.com>
- Actually update snapshot tarball
* Sat Apr 11 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Fri Apr 10 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Tue Apr  7 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Tue Mar 31 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Wed Mar 25 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Thu Mar 19 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Wed Mar 11 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Tue Mar 10 2009 Chris Lord <chris@linux.intel.com>
- Update to a new snapshot
* Thu Feb 26 2009 Joshua Lock <josh@linux.intel.com>
- Update to a new snapshot with initial plugin support
* Tue Feb 24 2009 Joshua Lock <josh@linux.intel.com>
- Add a patch from mozilla bugzilla to work with the new Pango api
* Wed Jan  7 2009 Martin Stransky <stransky@redhat.com> 1.9.1-0.6
- Copied mozilla-config.h to stable include dir (#478445)
* Mon Dec 22 2008 Christopher Aillon <caillon@redhat.com> 1.9.1-0.5
- Typo fix
* Sat Dec 20 2008 Christopher Aillon <caillon@redhat.com> 1.9.1-0.4
- 1.9.1 beta 2
* Tue Dec  9 2008 Christopher Aillon <caillon@redhat.com> 1.9.1-0.3
- Mark this as a pre-release
* Tue Dec  9 2008 Christopher Aillon <caillon@redhat.com> 1.9.1-0.2
- Add needed -devel requires to the -devel package
* Thu Dec  4 2008 Christopher Aillon <caillon@redhat.com> 1.9.1-0.1
- 1.9.1 beta 1
* Wed Nov 12 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.4-1
- Update to 1.9.0.4
* Mon Oct 27 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.2-5
- Password manager fixes from upstream
* Tue Oct  7 2008 Marco Pesenti Gritti <mpg@redhat.com> 1.9.0.2-4
- Add missing dependency on python-devel
* Sun Oct  5 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.2-3
- Enable PyXPCOM
* Thu Sep 25 2008 Martin Stransky <stransky@redhat.com> 1.9.0.2-2
- Build with system cairo (#463341)
* Tue Sep 23 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.2-1
- Update to 1.9.0.2
* Wed Jul 23 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.1-2
- Disable system hunspell for now as it's causing some crashes (447444)
* Wed Jul 16 2008 Christopher Aillon <caillon@redhat.com> 1.9.0.1-1
- Update to 1.9.0.1
* Tue Jun 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-1
- Update to 1.9 final
* Thu May 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.63
- Simplify PS/PDF operators
* Thu May 22 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.62
- Upstream patch to fsync() less
* Thu May  8 2008 Colin Walters <walters@redhat.com> 1.9-0.61
- Ensure we enable startup notification; add BR and modify config
  (bug #445543)
* Wed Apr 30 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.60
- Some files moved to mozilla-filesystem; kill them and add the Req
* Mon Apr 28 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.59
- Clean up the %%%%files list and get rid of the executable bit on some files
* Sat Apr 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.58
- Fix font scaling
* Fri Apr 25 2008 Martin Stransky <stransky@redhat.com> 1.9-0.57
- Enabled phishing protection (#443403)
* Wed Apr 23 2008 Martin Stransky <stransky@redhat.com> 1.9-0.56
- Changed "__ppc64__" to "__powerpc64__",
  "__ppc64__" doesn't work anymore
- Added fix for #443725 - Critical hanging bug with fix
  available upstream (mozbz#429903)
* Fri Apr 18 2008 Martin Stransky <stransky@redhat.com> 1.9-0.55
- Fixed multilib issues, added starting script instead of a symlink
  to binary (#436393)
* Sat Apr 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.54
- Add upstream patches for dpi, toolbar buttons, and invalid keys
- Re-enable system cairo
* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.53
- Spec cleanups
* Wed Apr  2 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.52
- Beta 5
* Mon Mar 31 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.51
- Beta 5 RC2
* Thu Mar 27 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.50
- Update to latest trunk (2008-03-27)
* Wed Mar 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.49
- Update to latest trunk (2008-03-26)
* Tue Mar 25 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.48
- Update to latest trunk (2008-03-25)
* Mon Mar 24 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.47
- Update to latest trunk (2008-03-24)
* Thu Mar 20 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.46
- Update to latest trunk (2008-03-20)
* Mon Mar 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.45
- Update to latest trunk (2008-03-17)
* Mon Mar 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.44
- Revert to trunk from the 15th to fix crashes on HTTPS sites
* Sun Mar 16 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.43
- Update to latest trunk (2008-03-16)
- Add patch to negate a11y slowdown on some pages (#431162)
* Sat Mar 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.42
- Update to latest trunk (2008-03-15)
* Sat Mar 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.41
- Avoid conflicts between gecko debuginfo packages
* Wed Mar 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.40
- Update to latest trunk (2008-03-12)
* Tue Mar 11 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.39
- Update to latest trunk (2008-03-11)
* Mon Mar 10 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.38
- Update to latest trunk (2008-03-10)
* Sun Mar  9 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.37
- Update to latest trunk (2008-03-09)
* Fri Mar  7 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.36
- Update to latest trunk (2008-03-07)
* Thu Mar  6 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.35
- Update to latest trunk (2008-03-06)
* Tue Mar  4 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta4.34
- Update to latest trunk (2008-03-04)
* Sun Mar  2 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.33
- Update to latest trunk (2008-03-02)
* Sat Mar  1 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.32
- Update to latest trunk (2008-03-01)
* Fri Feb 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.31
- Update to latest trunk (2008-02-29)
* Thu Feb 28 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.30
- Update to latest trunk (2008-02-28)
* Wed Feb 27 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.29
- Update to latest trunk (2008-02-27)
* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.28
- Update to latest trunk (2008-02-26)
* Sat Feb 23 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.27
- Update to latest trunk (2008-02-23)
* Fri Feb 22 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.26
- Update to latest trunk (2008-02-22)
* Thu Feb 21 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.25
- Update to latest trunk (2008-02-21)
* Wed Feb 20 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.24
- Update to latest trunk (2008-02-20)
* Sun Feb 17 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.23
- Update to latest trunk (2008-02-17)
* Fri Feb 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.22
- Update to latest trunk (2008-02-15)
* Thu Feb 14 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta3.21
- Update to latest trunk (2008-02-14)
- Use system hunspell
* Mon Feb 11 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.19
- Update to latest trunk (2008-02-11)
* Mon Feb 11 2008 Adam Jackson <ajax@redhat.com> 1.9-0.beta2.19
- STRIP="/bin/true" on the %%%%make line so xulrunner-debuginfo contains,
  you know, debuginfo.
* Sun Feb 10 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.18
- Update to latest trunk (2008-02-10)
* Sat Feb  9 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.17
- Update to latest trunk (2008-02-09)
* Wed Feb  6 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.16
- Update to latest trunk (2008-02-06)
* Tue Jan 29 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.15
- Update to latest trunk (2008-01-30)
* Fri Jan 25 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.14
- rebuild agains new nss
- enabled gnome vfs
* Wed Jan 23 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.13
- fixed stable pkg-config files (#429654)
- removed sqlite patch
* Mon Jan 21 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.12
- Update to latest trunk (2008-01-21)
* Tue Jan 15 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.11
- Update to latest trunk (2008-01-15)
- Now with system extensions directory support
* Sun Jan 13 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.10
- Update to latest trunk (2008-01-13)
- Use CFLAGS instead of configure arguments
- Random cleanups: BuildRequires, scriptlets, prefs, etc.
* Sat Jan 12 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.9
- Provide gecko-devel-unstable as well
* Wed Jan  9 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.8
- divided devel package to devel and devel-unstable
* Mon Jan  7 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.7
- removed fedora specific pkg-config files
- updated to the latest trunk (2008-01-07)
- removed unnecessary patches
- fixed idl dir (#427965)
* Thu Jan  3 2008 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.6
- Re-enable camellia256 support now that NSS supports it
* Thu Jan  3 2008 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.5
- updated to the latest trunk (2008-01-03)
* Mon Dec 24 2007 Christopher Aillon <caillon@redhat.com> 1.9-0.beta2.4
- Don't Provide webclient (xulrunner is not itself a webclient)
- Don't Obsolete old firefox, only firefox-devel
- Kill legacy obsoletes (phoenix, etc) that were never in rawhide
* Fri Dec 21 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.3
- added java and plugin subdirs to plugin includes
* Thu Dec 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.2
- dependency fixes, obsoletes firefox < 3 and firefox-devel now
* Wed Dec 12 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta2.1
- updated to Beta 2.
- moved SDK to xulrunner-sdk
* Thu Dec  6 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.4
- fixed mozilla-plugin.pc (#412971)
* Tue Nov 27 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.3
- export /etc/gre.d/gre.conf (it's used by python gecko applications)
* Mon Nov 26 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.2
- added xulrunner/js include dir to xulrunner-js
* Tue Nov 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.beta1.1
- update to beta 1
* Mon Nov 19 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.6
- packed all gecko libraries (#389391)
* Thu Nov 15 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.5
- registered xulrunner libs system-wide
- added xulrunner-gtkmozembed.pc
* Wed Nov 14 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.4
- added proper nss/nspr dependencies
* Wed Nov 14 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.3
- more build fixes, use system nss libraries
* Tue Nov  6 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.2
- build fixes
* Tue Oct 30 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha9.1
- updated to the latest trunk
* Thu Sep 20 2007 David Woodhouse <dwmw2@infradead.org> 1.9-0.alpha7.4
- build fixes for ppc/ppc64
* Thu Sep 20 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha7.3
- removed conflicts with the current gecko-based apps
- added updated ppc64 patch
* Tue Sep 18 2007 Martin Stransky <stransky@redhat.com> 1.9-0.alpha7.2
- build fixes
* Wed Sep  5 2007 Christopher Aillon <caillon@redhat.com> 1.9-0.alpha7.1
- Initial cut at XULRunner 1.9 Alpha 7
- Temporarily revert camellia 256 support since our nss doesn't support it yet
